Subject: Re: [Mip6] Bootstrapping DT solution draft

From: Mayumi Yanagiya <[email-masked]>
Date: Mon, 04 Jul 2005 18:13:25 +0900

Hi Gerardo,

Please see my comments inline.

 > Hi Mayumi,
 >
 > thanks for your comments. Please see below..
 >
 >
 >>Hi Gerardo and solution DT members,
 >>
 >>First, I'd like to express my appreciation for your work.
 >>
 >>I have a comment about dynamic DNS update in this draft.
 >>
 >>In section6, it is described that dynamic DNS update function is
 >>important to keep IP reachability when MN is assigned HoA
 >>dynamically.
 >>I agree this. But, is it essential function for MIPv6 bootstrapping?
 >
 >
 > The DT thinks that this is essential for IP reachability and thus for
 > Mobile IPv6. However there has been a lot of discussion about this topic
 > even within the DT. We can consider it as a possible open issue to be
 > solved within the WG.

  I’m so sorry that I didn't ask the question in DT.

 >>I think we can use FQDN assigned by a domain name provider, which is
 >>different from MSP/MSA, for IP reachability even if we get
 >>HoA from MSP.
 >>
 >
 >
 > Could you please describe a scenario where the domain name provider is
 > different from the MSP or MSA?

  I think that MN can be assigned FQDN, which is used for IP 
reachability, from "domain provider" such as “Yahoo! Domain”.
Is my understanding correct?

 >>I understood that DT has selected the split scenario, which
 >>was simpler
 >>scenario, in order to make the first solution generic. In the split
 >>scenario, we don't assume that there is relationship between MSP and
 >>access service provider. Should we assume that there is relationship
 >>between MSP and DNS provider?
 >
 >
 > I think that, if there is a trust relationship between MSP and DNS
 > provider (whatever it can be), the solution described in the draft may
 > also be applied in this scenario (it needs a AAA communication between
 > MSP and the domain name provider to authorize the usage of a particular
 > name and to update the DNS entry). But, let's discuss about the scenario
 > first.

  I agree that this solution can be applied.
  The main point which I would like to ask is whether it is necessary
  to describe DNS update in the body of the draft, not whether we can
  apply this solution even if the trust relationship isn’t established.

  IMHO, if we assume a simple scenario, we should not
  assume any trust relationship between MSP and other provider.

Best Regards,
--Mayumi

 > Regards,
 > --Gerardo
 >
 >
 >>Best Regards,
 >>--Mayumi
 >>
 >>
 >>>Dear WG,
 >>>
 >>>the bootstrapping DT has submitted a solution draft. The document
 >>>defines how a Mobile Node can bootstrap MIPv6 operations from
 >>>non-topological information and pre-configured security
 >>
 >>credentials. The
 >>
 >>>solution solves the boostrapping problem when the Mobile
 >>
 >>Node's mobility
 >>
 >>>service is authorized by a different service provider than
 >>
 >>basic network
 >>
 >>>access (i.e. split scenario).
 >>>
 >>>The draft can be found at
 >>>
 >>
 >>http://www.ietf.org/internet-drafts/draft-ietf-mip6-bootstrapp
 >
 > ing-split-
 >
 >>00.txt.
 >>
 >>The DT is currently working on optimized solutions for integrated
 >>scenario (i.e. mobility service and basic network access are
 >
 > authorized
 >
 >>by the same entity).
 >>
 >>Please read the document and provide comments.
 >>
 >>Thanks and regards,
 >>
 >>--Gerardo (DT editor)
 >>
 >>
 >>
 >>
 >>
 >>
 >>
 >>
 >>Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia
 >
 > S.p.A.
 >
 >>====================================================================
 >>CONFIDENTIALITY NOTICE
 >>This message and its attachments are addressed solely to the persons
 >>above and may contain confidential information. If you have received
 >>the message in error, be informed that any use of the content hereof
 >>is prohibited. Please return it immediately to the sender and delete
 >>the message. Should you have any questions, please send an e_mail to
 >>[email-masked]. Thank you
 >>====================================================================
 >>
 >>_______________________________________________
 >>Mip6 mailing list
 >>[email-masked]
 >>https://www1.ietf.org/mailman/listinfo/mip6
 >>
 >
 >

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

---

From: "James Kempf" <[email-masked]>
Date: Tue, 5 Jul 2005 09:22:42 -0700

First off, if you agree that bootstrapping must provide full support for
Internet reachability, then I think DNS update for a dynamically assigned
HoA is necessary. RFC 3775 doesn't have this issue because it doesn't
support dynamic HoA assignment.

>  apply this solution even if the trust relationship isn’t established.

It is possible for the MN to perform dynamic DNS update, but not with full
security, as I described in a separate email.

The HA can perform a secure update, because it is supposed to be keeping
track of whether the MN is actually at the CoA or not (how it does that is
not described in RFC 3775, however that's a separate issue). So it can
securely update the DNS.

Given that, there is a need for some way for the MN to send its FQDN to the
HA and ask for an update. We decided to put it into the bootstrapping draft
so all the information necessary to implement full Internet reachability is
in one place.

>  assume any trust relationship between MSP and other provider.

Well, the MSP and MSA need to have a trust relationship, otherwise they will
not be able to exchange Radius messages securely (of course, if they are the
same administrative entity, there is no issue).

            jak